No revision detected MB EEPROM must be reprogrammed!

[Note: The reason I’m posting this here is because I’m not sure whether
this is solely a UHD problem or perhaps because of some ‘suboptimal’
communication between GNURadio & UHD, and I’ve seen some earlier posts
on
this list resolving UHD-related issues.If this is off-topic and does not
belong here, I apologize!]

Dear all,

I’ve been working with GNURadio & UHD/USRP for quite some time now. All
of
a sudden I started seeing the following messages when running my
flowgraph,
on which I couldn’t find any info:

UHD Warning:
No revision detected MB EEPROM must be reprogrammed!

At the time I was using UHD 3.9. Anyhow, a colleague told me that he
also
used to have problems with too new versions of UHD, but that those
disappeared as he started to use UHD 003.008.005. So I erased all traces
of
GNURadio & UHD and reinstalled from scratch using the build-gnuradio
script, now specifying that I want UHD version 003.008.005 installed.
Furthermore, I ran the usrp_x3xx_fpga_burner tool to rewrite the EEPROM
of
the X300. Now, when I wish to run my GNURadio flowgraph, I get the
following return messages:

linux; GNU C++ version 4.8.4; Boost_105400; UHD_003.008.005-0-g7efbd15b

– X300 initialization sequence…
– Determining maximum frame size… 8000 bytes.
– Setup basic communication…
– Loading values from EEPROM…
– Setup RF frontend clocking…

UHD Warning:
No revision detected MB EEPROM must be reprogrammed!

UHD Warning:
Defaulting to X300 RevD Clock Settings. This will result in
non-optimal
lock times.
Traceback (most recent call last):
File “/home/matija/bin/phantom2_mod.py”, line 270, in
tb = phantom2_mod()
File “/home/matija/bin/phantom2_mod.py”, line 92, in init
channels=range(1),
File
“/usr/local/lib/python2.7/dist-packages/gnuradio/uhd/init.py”,
line 122, in constructor_interceptor
return old_constructor(*args)
File
“/usr/local/lib/python2.7/dist-packages/gnuradio/uhd/uhd_swig.py”,
line 2282, in make
return _uhd_swig.usrp_sink_make(*args)
RuntimeError: RuntimeError: Unsupported board revision number:
18446744073709382690.
The maximum board revision number supported in this version is 6.
Please update your UHD version.

Done (return code 1)

Did anyone else experience the same problems? Can I not use UHD
003.008.005
with the X300? I’m assuming that something weird happened during the
installation as the board revision number is so odd…
I’m using an USRP X300 with a UBX-160 daughterboard, connected over 10Gb
ethernet. Gnuradio version: 3.7.7.2. My system is 64bit Ubuntu 14.04.

Any help is greatly appreciated!

Kind regards,
Mat

Hi Matija,

I’m sorry but we are still not 100% sure how this might have happened
but
the team is working on figuring it out.

In the meantime you might want to rewrite the value in the EEPROM.
In order to do that you need to do the following:

1.) comment the hw_rev check in x300_impl.cpp (located in
uhd/host/lib/usrp/x300) (Lines 625-632)
2.) rebuild uhd
3.) run usrp_burn_mb_eeprom --values=“revision=6”

After that you should be able to switch back to stock UHD without
issues.

Again, Sorry for your inconvenience. I hope that gets you going.

Cheers,
Julian

On Tue, Aug 11, 2015 at 8:18 AM, Matija Ciganovic
[email protected]

Hi Matija,

thank you for your information.

Just to get it right, did you run the command

usrp_burn_mb_eeprom --values=“revision=6”

with your corrupted USRP and after that the error still persists?

Cheers,
Julian

On Tue, Aug 11, 2015 at 5:20 PM, Matija Ciganovic
[email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs